package v1

type CodeGateCheckCodeBody struct {
	CodeVal string `form:"CodeVal" json:"CodeVal"`
	CodeType string `form:"CodeType" json:"CodeType"`
	BrushTime string `form:"BrushTime" json:"BrushTime"`
	ViewId string `form:"ViewId" json:"ViewId"`
	UID string `form:"UID" json:"UID"`
	UKey string `form:"UKey" json:"UKey"`
	IsOnline string `form:"IsOnline" json:"IsOnline"`
	Property string `form:"Property" json:"Property"`
	SN string `form:"SN" json:"SN"`
}

type CodeGateCheckCodeRequest struct {
	CodeGateCheckCodeBody
}

type CodeGateCheckCodeResponse struct {
	UID string `form:"UID" json:"UID"`
	Status int `form:"Status" json:"Status"`
}

type CodeGateIsConnectBody struct {
	ViewId string `form:"ViewId" json:"ViewId"`
	UID string `form:"UID" json:"UID"`
	UKey string `form:"UKey" json:"UKey"`
	SN string `form:"SN" json:"SN"`
}

type CodeGateIsConnectRequest struct {
	CodeGateIsConnectBody
}

type CodeGateIsConnectResponse struct {
	DateTime string `form:"DateTime" json:"DateTime"`
}

type CodeGateQueryCmdBody struct {
	ViewId string `form:"ViewId" json:"ViewId"`
	UID string `form:"UID" json:"UID"`
	UKey string `form:"UKey" json:"UKey"`
	SN string `form:"SN" json:"SN"`
	TamperAlarm string `form:"TamperAlarm" json:"TamperAlarm"`
	DoorMagnetic string `form:"DoorMagnetic" json:"DoorMagnetic"`
}

type CodeGateQueryCmdRequest struct {
	CodeGateQueryCmdBody
}

type CodeGateQueryCmdResponse struct {
	CmdID string `json:"CmdID"`
	CmdCode int `json:"CmdCode"`
	//CmdParams string `json:"CmdParams"`
	CmdParams []map[string]string `json:"CmdParams"`
}

type CodeGateQueryCmdPostDataBody struct {
	ViewId string `form:"ViewId" json:"ViewId"`
	UID string `form:"UID" json:"UID"`
	UKey string `form:"UKey" json:"UKey"`
	SN string `form:"SN" json:"SN"`
	CmdID string `form:"CmdID" json:"CmdID"`
	CmdCode int `form:"CmdCode" json:"CmdCode"`
	CmdParams map[string][]map[string]string `form:"CmdParams" json:"CmdParams"`
	CmdStatus int `form:"CmdStatus" json:"CmdStatus"`
}

type CodeGateQueryCmdPostDataRequest struct {
	CodeGateQueryCmdPostDataBody
}

type CodeGateQueryCmdPostDataResponse struct {
	CmdStatus int `form:"CmdStatus" json:"CmdStatus"`
	CmdStatusDesc int `form:"CmdStatusDesc" json:"CmdStatusDesc"`
}

